This patch makes board->enable() optional, so we can add boards that need
no board enable function to board_pciid_enables to prevent warnings on 
coreboot.

Signed-off-by: Stefan Reinauer <stepan@coresystems.de>

Index: board_enable.c
===================================================================
--- board_enable.c	(revision 667)
+++ board_enable.c	(working copy)
@@ -1186,8 +1186,8 @@
 	if (!board)
 		board = board_match_pci_card_ids();
 
-	if (board) {
-		printf("Found board \"%s %s\", enabling flash write... ",
+	if (board && board->enable) {
+		printf("Disabling flash write protection for board \"%s %s\"... ",
 		       board->vendor_name, board->board_name);
 
 		ret = board->enable(board->vendor_name);
